import WechatLog from "@/utils/wechat_log";
import fly from "@/requests/main";
/**
 * 获取当前时间
 */
function getNowTime(){
  const date = new Date();
  const year = date.getFullYear();
  const month = date.getMonth() + 1;
  const day = date.getDate();
  const hour = date.getHours();
  const minutes = date.getMinutes();
  const seconds = date.getSeconds();
  const millSeconds = date.getMilliseconds().toString().padStart(3,"0");
  return `${year}/${month}/${day} ${hour}:${minutes}:${seconds} ${millSeconds}`;
}

/**
 * 日志封装
 */
export function LOG_DEBUG() {
  console.log("%cLOG_DEBUG", "color:green;", getNowTime(), ...arguments);
}
export function LOG_WECHAT() {
  console.log("%cLOG_WECHAT", "color:yellow;", getNowTime(), ...arguments);
  // 当前环境（正式/测试）
  const mode = process.env.NODE_ENV;
  if (process.env.NODE_ENV === "production"){
    WechatLog.info("线上版", getNowTime(), ...arguments);
  } else {
    WechatLog.info("体验版", getNowTime(), ...arguments);
  }
}
export function LOG_WECHAT_ERROR() {
  console.log("%cLOG_WECHAT", "color:red;", getNowTime(), ...arguments);
  // 当前环境（正式/测试）
  const mode = process.env.NODE_ENV;
  if (process.env.NODE_ENV === "production"){
    WechatLog.error("线上版", getNowTime(), ...arguments);
  } else {
    WechatLog.warn("体验版", getNowTime(), ...arguments);
  }
}
export function LOG_DB() {
  console.log("%cLOG_DB", "color:red;", getNowTime(), ...arguments);
  const args = [...arguments];
  const content = getNowTime() + " " + args.join(" ");
  const userinfo = wx.getStorageSync("userinfo")
  const user_id = userinfo['user_id'];
  const access_token = wx.getStorageSync("token")
  let params = {
    access_token,
    user_id,
    content
  };
  fly.post("log/add-log", params).then((res) => {
    console.log("日志推送数据库：", JSON.stringify(res));
  });
}
